aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-23 15:30:53 -0700
committerManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-27 15:06:48 -0700
commitb4133b73e86c4f8cbd4284dde9970c2e8216baa4 (patch)
tree19fe405775b5ab063639127044fc8eb0150dff56
parentcacc77da25e42ccae6344dbffd5f7b28d5b6b642 (diff)
Add build script for initabrmd container
Add script to build and push the image to nexus repo. Invoke the script from top level build script. Change-Id: I644428d2da3bbc4688a3a45d34b8b7e9148314b0 Issue-ID: AAF-443 Signed-off-by: Manjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>
-rwxr-xr-xbin/abrmdcontainer/build_abrmd_image.sh39
-rwxr-xr-xbin/build_images.sh8
2 files changed, 47 insertions, 0 deletions
diff --git a/bin/abrmdcontainer/build_abrmd_image.sh b/bin/abrmdcontainer/build_abrmd_image.sh
new file mode 100755
index 0000000..e096f8c
--- /dev/null
+++ b/bin/abrmdcontainer/build_abrmd_image.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -e
+DIRNAME=`dirname $0`
+DOCKER_BUILD_DIR=`cd $DIRNAME/; pwd`
+echo "DOCKER_BUILD_DIR=${DOCKER_BUILD_DIR}"
+cd ${DOCKER_BUILD_DIR}
+
+BUILD_ARGS="--no-cache"
+ORG="onap"
+VERSION="3.0.0"
+PROJECT="aaf"
+IMAGE="abrmd"
+DOCKER_REPOSITORY="nexus3.onap.org:10003"
+IMAGE_NAME="${DOCKER_REPOSITORY}/${ORG}/${PROJECT}/${IMAGE}"
+TIMESTAMP=$(date +"%Y%m%dT%H%M%S")
+
+if [ $HTTP_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTP_PROXY=${HTTP_PROXY}"
+fi
+if [ $HTTPS_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTPS_PROXY=${HTTPS_PROXY}"
+fi
+echo $BUILD_ARGS
+
+function build_image {
+ echo "Start build docker image: ${IMAGE_NAME}:latest"
+ docker build ${BUILD_ARGS} -t ${IMAGE_NAME}:latest -f dockerfile .
+}
+
+function push_image {
+ echo "Start push ${IMAGE_NAME}:latest"
+ docker push ${IMAGE_NAME}:latest
+ echo "Start push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest"
+ docker tag ${IMAGE_NAME}:latest ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+ docker push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+}
+
+build_image
+push_image
diff --git a/bin/build_images.sh b/bin/build_images.sh
index 49fe990..43996ed 100755
--- a/bin/build_images.sh
+++ b/bin/build_images.sh
@@ -1,6 +1,14 @@
#!/bin/bash
set -e
+
cd base
+chmod 755 build_base_images.sh
./build_base_images.sh
+
cd ../distcenter
+chmod 755 build_distcenter_image.sh
./build_distcenter_image.sh
+
+cd ../abrmdcontainer
+chmod 755 build_abrmd_image.sh
+./build_abrmd_image.sh